Bug 490867 - Review Request: perl-Date-ICal - Perl extension for ICalendar date objects
Review Request: perl-Date-ICal - Perl extension for ICalendar date objects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 490865
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 07:47 EDT by Xavier Bachelot
Modified: 2009-03-25 12:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.72-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 12:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-03-18 07:47:56 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-Date-ICal.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-Date-ICal-1.72-1.fc10.src.rpm
Description:
Date::ICal talks the ICal date format, and is intended to be a base class
for other date/calendar modules that know about ICal time format also.
Comment 1 Parag AN(पराग) 2009-03-23 02:58:10 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1253718
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
69e10541f5da09fc0f53474073da6744  Date-ICal-1.72.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=12, Tests=742,  6 wallclock secs ( 0.24 usr  0.01 sys +  5.58 cusr  0.05 csys =  5.88 CPU)
+ Package perl-Date-ICal-1.72-1.fc11.noarch =>
  Provides: perl(Date::ICal) = 1.72 perl(Date::ICal::Duration) = 1.61
  Requires: perl(Carp) perl(Date::ICal::Duration) perl(Date::Leapyear) perl(Time::Local) perl(integer) perl(overload) perl(strict) perl(vars)

APPROVED.
Comment 2 Xavier Bachelot 2009-03-23 03:06:28 EDT
Thanks for the review Parag.

New Package CVS Request
=======================
Package Name: perl-Date-ICal
Short Description: Perl extension for ICalendar date objects
Owners: xavierb
Branches: F-9 F-10 EL-4 EL-5
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-03-24 13:23:54 EDT
cvs done.
Comment 4 Xavier Bachelot 2009-03-24 16:07:39 EDT
Imported and built for devel, F-9, F-10, EL-4 and EL-5.
Comment 5 Fedora Update System 2009-03-24 16:10:30 EDT
perl-Date-ICal-1.72-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Date-ICal-1.72-1.fc9
Comment 6 Fedora Update System 2009-03-24 16:10:36 EDT
perl-Date-ICal-1.72-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Date-ICal-1.72-1.fc10
Comment 7 Fedora Update System 2009-03-25 12:02:32 EDT
perl-Date-ICal-1.72-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-03-25 12:08:18 EDT
perl-Date-ICal-1.72-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.